Bug 1281996 - Cannot install RHEV 3.5 vdsm due to missing dependencies in repos [NEEDINFO]
Cannot install RHEV 3.5 vdsm due to missing dependencies in repos
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: releng (Show other bugs)
3.5.0
x86_64 Linux
urgent Severity urgent
: ovirt-3.6.2
: ---
Assigned To: Joey Boggs
Entitlement Bugs
releng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 21:05 EST by Donny Davis
Modified: 2017-03-27 14:44 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 02:37:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Rel-Eng
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jboggs: needinfo? (dondavis)
jboggs: needinfo? (dondavis)


Attachments (Terms of Use)

  None (edit)
Description Donny Davis 2015-11-13 21:05:02 EST
Description of problem:
RHEV 3.5 install with RHEL 7 as hypervisor. When I try to install vdsm, there is a missing dependency. 

Version-Release number of selected component (if applicable):
RHEV 3.5 
RHEL 7.1 

How reproducible:
Always

Steps to Reproduce:
1.Install RHEL and subscribe to rhel-7-server-rpms, and rhel-7-server-rhev-mgmt-agent-rpms

2. yum install vdsm 

3. Error: Package: libvirt-lock-sanlock-1.2.8-16.el7_1.4.x86_64 (rhel-7-server-rhev-mgmt-agent-rpms)
           Requires: libvirt-daemon = 1.2.8-16.el7_1.4


Actual results:
--> Finished Dependency Resolution
Error: Package: libvirt-lock-sanlock-1.2.8-16.el7_1.4.x86_64 (rhel-7-server-rhev-mgmt-agent-rpms)
           Requires: libvirt-daemon = 1.2.8-16.el7_1.4
           Available: libvirt-daemon-1.1.1-29.el7.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7
           Available: libvirt-daemon-1.1.1-29.el7_0.1.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7_0.1
           Available: libvirt-daemon-1.1.1-29.el7_0.3.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7_0.3
           Available: libvirt-daemon-1.1.1-29.el7_0.4.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7_0.4
           Available: libvirt-daemon-1.1.1-29.el7_0.7.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7_0.7
           Available: libvirt-daemon-1.2.8-16.el7.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7
           Available: libvirt-daemon-1.2.8-16.el7_1.1.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.1
           Available: libvirt-daemon-1.2.8-16.el7_1.2.x86_64 (rhel-7-server-rhev-mgmt-agent-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.2
           Available: libvirt-daemon-1.2.8-16.el7_1.3.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.3
           Available: libvirt-daemon-1.2.8-16.el7_1.4.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.4
           Installing: libvirt-daemon-1.2.8-16.el7_1.5.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.5
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
vdsm installs without issue


Additional info:

Error is thrown at both UI and CLI for vdsm
Comment 6 Dale Paulson 2015-11-19 10:20:40 EST
tying to update systems to fix vulnerabilities on RHEV 3.5 with RHEL 7 as hypervisor:

receiving these errors:
Error: Package: libvirt-lock-sanlock-1.2.8-16.el7_1.4.x86_64
(@rhel-7-server-rhev-mgmt-agent-rpms)
           Requires: libvirt-daemon = 1.2.8-16.el7_1.4
           Removing: libvirt-daemon-1.2.8-16.el7_1.4.x86_64
(@rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.4
           Updated By: libvirt-daemon-1.2.17-13.el7.x86_64
(rhel-7-server-rpms)
               libvirt-daemon = 1.2.17-13.el7
           Available: libvirt-daemon-1.1.1-29.el7.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7
           Available: libvirt-daemon-1.1.1-29.el7_0.1.x86_64
(rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7_0.1
           Available: libvirt-daemon-1.1.1-29.el7_0.3.x86_64
(rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7_0.3
           Available: libvirt-daemon-1.1.1-29.el7_0.4.x86_64
(rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7_0.4
           Available: libvirt-daemon-1.1.1-29.el7_0.7.x86_64
(rhel-7-server-rpms)
               libvirt-daemon = 1.1.1-29.el7_0.7
           Available: libvirt-daemon-1.2.8-16.el7.x86_64 (rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7
           Available: libvirt-daemon-1.2.8-16.el7_1.1.x86_64
(rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.1
           Available: libvirt-daemon-1.2.8-16.el7_1.2.x86_64
(rhel-7-server-rhev-mgmt-agent-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.2
           Available: libvirt-daemon-1.2.8-16.el7_1.3.x86_64
(rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.3
           Available: libvirt-daemon-1.2.8-16.el7_1.5.x86_64
(rhel-7-server-rpms)
               libvirt-daemon = 1.2.8-16.el7_1.5
Error: Package: libvirt-lock-sanlock-1.2.8-16.el7_1.4.x86_64
(@rhel-7-server-rhev-mgmt-agent-rpms)
           Requires: libvirt.so < Caution-http://libvirt.so > .0(LIBVIRT_PRIVATE_1.2.8)(64bit)
           Removing: libvirt-client-1.2.8-16.el7_1.4.x86_64
(@rhel-7-server-rpms)
               libvirt.so < Caution-http://libvirt.so > .0(LIBVIRT_PRIVATE_1.2.8)(64bit)
           Updated By: libvirt-client-1.2.17-13.el7.x86_64
(rhel-7-server-rpms)
              ~libvirt.so < Caution-http://libvirt.so > .0(LIBVIRT_PRIVATE_1.2.17)(64bit)
           Available: libvirt-client-1.2.8-16.el7.x86_64 (rhel-7-server-rpms)
               libvirt.so < Caution-http://libvirt.so > .0(LIBVIRT_PRIVATE_1.2.8)(64bit)
           Available: libvirt-client-1.2.8-16.el7_1.1.x86_64
(rhel-7-server-rhev-mgmt-agent-rpms)
               libvirt.so < Caution-http://libvirt.so > .0(LIBVIRT_PRIVATE_1.2.8)(64bit)
           Available: libvirt-client-1.2.8-16.el7_1.2.x86_64
(rhel-7-server-rpms)
               libvirt.so < Caution-http://libvirt.so > .0(LIBVIRT_PRIVATE_1.2.8)(64bit)
           Available: libvirt-client-1.2.8-16.el7_1.3.x86_64
(rhel-7-server-rpms)
               libvirt.so < Caution-http://libvirt.so > .0(LIBVIRT_PRIVATE_1.2.8)(64bit)
           Available: libvirt-client-1.2.8-16.el7_1.5.x86_64
(rhel-7-server-rpms)
               libvirt.so < Caution-http://libvirt.so > .0(LIBVIRT_PRIVATE_1.2.8)(64bit)
           Available: libvirt-client-1.1.1-29.el7.i686 (rhel-7-server-rpms)
               Not found
           Available: libvirt-client-1.1.1-29.el7_0.1.i686
(rhel-7-server-rpms)
               Not found
           Available: libvirt-client-1.1.1-29.el7_0.3.i686
(rhel-7-server-rpms)
               Not found
           Available: libvirt-client-1.1.1-29.el7_0.4.i686
(rhel-7-server-rpms)
               Not found
           Available: libvirt-client-1.1.1-29.el7_0.7.i686
(rhel-7-server-rpms)
               Not found
You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing out that there is a problem. Eg.:

         1. You have an upgrade for libvirt-client which is missing some
            dependency that another package requires. Yum is trying to
            solve this by installing an older version of libvirt-client of the
            different architecture. If you exclude the bad architecture
            yum will tell you what the root cause is (which package
            requires what). You can try redoing the upgrade with
            --exclude libvirt-client.otherarch ... this should give you an error
            message showing the root cause of the problem.

         2. You have multiple architectures of libvirt-client installed, but
            yum can only see an upgrade for one of those architectures.
            If you don't want/need both architectures anymore then you
            can remove the one with the missing update and everything
            will work.

         3. You have duplicate versions of libvirt-client installed already.
            You can use "yum check" to get yum show these errors.

       ...you can also use --setopt=protected_multilib=false to remove
       this checking, however this is almost never the correct thing to
       do as something else is very likely to go wrong (often causing
       much more problems).

       Protected multilib versions: libvirt-client-1.1.1-29.el7_0.1.i686 !=
libvirt-client-1.2.8-16.el7_1.4.x86_64
Comment 7 Paul Stauffer 2015-11-19 11:14:09 EST
Workaround per RH Support: if you enable the "rhel-7-server-optional-rpms" repository, the package versions provided there should resolve the version conflict between the libvirt packages currently provided by the rhel-7-server-rpms and rhel-7-server-rhev-mgmt-agent-rpms repositories.

Note You need to log in before you can comment on or make changes to this bug.